package com.jeeplus.test.reimbursementAssess.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementAssess.domain.dto.AssessReimbursementDTO;

import java.util.List;

public interface AssessReimbursementBusinessTwoService {

    IPage<AssessReimbursementBusinessTwoDTO> findListPage(Page<AssessReimbursementBusinessTwoDTO> page,
                                                           AssessReimbursementBusinessTwoDTO AssessReimbursementBusiness);

    void delPhysicsById(String id);

    /**
     * 根据发票id删除发票信息（逻辑删除）
     * @param idList
     */
    void deleteByList(List <String> idList);

    void addData(AssessReimbursementBusinessTwoDTO AssessReimbursementBusinessTwoDTO);

    List<AssessReimbursementDTO> findSelectList();

    void modifyBindCode(String ids,String businessCode);

    List<String> findSelectYearList();

    List<AssessReimbursementDTO> findSelectCodeListByYear(String year);

    AssessReimbursementBusinessTwoDTO findDataById(String id);
}
